VERSION 5.00
Begin VB.UserControl UserControl1 
   ClientHeight    =   870
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   1785
   ScaleHeight     =   870
   ScaleWidth      =   1785
   Begin VB.PictureBox Picture1 
      BorderStyle     =   0  'None
      Height          =   615
      Left            =   120
      ScaleHeight     =   615
      ScaleWidth      =   1455
      TabIndex        =   0
      Top             =   120
      Width           =   1455
   End
   Begin VB.Line Line4 
      BorderWidth     =   3
      X1              =   1680
      X2              =   3960
      Y1              =   600
      Y2              =   600
   End
   Begin VB.Line Line3 
      BorderWidth     =   3
      X1              =   1440
      X2              =   3600
      Y1              =   480
      Y2              =   480
   End
   Begin VB.Line Line2 
      BorderWidth     =   3
      X1              =   1200
      X2              =   3360
      Y1              =   360
      Y2              =   360
   End
   Begin VB.Line Line1 
      BorderWidth     =   3
      X1              =   840
      X2              =   2640
      Y1              =   240
      Y2              =   240
   End
End
Attribute VB_Name = "UserControl1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit
Const shade = &H80000010
Const light = &H80000014
Private IsClick As Boolean
Private MyCaption As String

Private Declare Function SetCapture Lib "user32" (ByVal hwnd As Long) As Long

Private Declare Function ReleaseCapture Lib "user32" () As Long

Public Event Click()

Private Sub Picture1_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
Line1.BorderColor = light
Line2.BorderColor = light
Line3.BorderColor = shade
Line4.BorderColor = shade
Line1.Visible = True
Line2.Visible = True
Line3.Visible = True
Line4.Visible = True
SetCapture UserControl.hwnd
End Sub

Private Sub UserControl_AccessKeyPress(KeyAscii As Integer)
RaiseEvent Click
End Sub

Private Sub UserControl_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
Line3.BorderColor = light
Line4.BorderColor = light
Line1.BorderColor = shade
Line2.BorderColor = shade
IsClick = True

End Sub

Private Sub UserControl_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
If Not ((X > 0 And X < UserControl.ScaleWidth) _
And (Y > 0 And Y < UserControl.ScaleHeight)) Then
Line1.Visible = False
Line2.Visible = False
Line3.Visible = False
Line4.Visible = False
IsClick = False
ReleaseCapture
End If
End Sub

Private Sub UserControl_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
Line1.BorderColor = light
Line2.BorderColor = light
Line3.BorderColor = shade
Line4.BorderColor = shade
If IsClick And ((X > 0 And X < UserControl.ScaleWidth) _
And (Y > 0 And Y < UserControl.ScaleHeight)) Then
RaiseEvent Click
IsClick = False
Line1.Visible = False
Line2.Visible = False
Line3.Visible = False
Line4.Visible = False
ReleaseCapture
End If

End Sub

Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
MyCaption = PropBag.ReadProperty("Caption")
End Sub

Private Sub UserControl_resize()
With Picture1
.Left = 15
.Top = 15
.Height = UserControl.ScaleHeight - 30
.Width = UserControl.ScaleWidth - 30
End With
SetLinePos Line1, 0, UserControl.ScaleWidth - 15, 0, 0
SetLinePos Line2, 0, 0, 0, UserControl.ScaleHeight - 15
SetLinePos Line3, UserControl.ScaleWidth - 15, UserControl.ScaleWidth - 15, 0, UserControl.ScaleHeight - 15
SetLinePos Line4, 0, UserControl.ScaleWidth - 15, UserControl.ScaleHeight - 15, UserControl.ScaleHeight - 15
repaint
End Sub

Private Sub SetLinePos(ByRef Line As Line, ByVal x1 As Single, ByVal x2 As Single, ByVal y1 As Single, ByVal y2 As Single)
Line.x1 = x1
Line.x2 = x2
Line.y1 = y1
Line.y2 = y2

End Sub
Private Sub repaint()
Dim AccessKeyPos As Long
Dim CaptionWidth As Long
Dim CaptionHeight As Long
Picture1.AutoRedraw = True
Picture1.Cls
AccessKeyPos = InStr(MyCaption, "&")
If AccessKeyPos <> 0 Then
CaptionWidth = Picture1.TextWidth(Left(MyCaption, AccessKeyPos - 1) + _
Right(MyCaption, Len(MyCaption) - AccessKeyPos)) / 2
CaptionHeight = Picture1.TextHeight(Left(MyCaption, AccessKeyPos - 1) + _
Right(MyCaption, Len(MyCaption) - AccessKeyPos)) / 2
Picture1.CurrentX = Picture1.ScaleWidth / 2 - CaptionWidth
Picture1.CurrentY = Picture1.ScaleHeight / 2 - CaptionHeight
Picture1.Print Left(MyCaption, AccessKeyPos - 1)
Picture1.FontUnderline = True
Picture1.Print Mid(MyCaption, AccessKeyPos + 1, 1)
Picture1.FontUnderline = False
Picture1.Print Right(MyCaption, Len(MyCaption) - AccessKeyPos - 1)
UserControl.AccessKeys = UCase(Mid(MyCaption, AccessKeyPos + 1, 1))
Else
CaptionWidth = Picture1.TextWidth(MyCaption) / 2
CaptionHeight = Picture1.TextHeight(MyCaption) / 2
Picture1.CurrentX = Picture1.ScaleWidth / 2 - CaptionWidth
Picture1.CurrentY = Picture1.ScaleHeight / 2 - CaptionHeight
Picture1.Print MyCaption
UserControl.AccessKeys = ""
End If
Picture1.AutoRedraw = False

End Sub

Public Property Let Caption(ByVal NewCaption As String)
MyCaption = NewCaption
repaint
End Property
Public Property Get Caption() As String
Caption = MyCaption
End Property

Private Sub UserControl_Show()
Line1.Visible = False
Line2.Visible = False
Line3.Visible = False
Line4.Visible = False

End Sub

Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
PropBag.WriteProperty "Caption", MyCaption
End Sub
